haskell2010-1.1.2.0: Compatibility with Haskell 2010

Safe Haskell | None
Language | Haskell2010

Foreign

Synopsis

- module Data.Bits
- module Data.Int
- module Data.Word
- module Foreign.Ptr
- module Foreign.ForeignPtr
- module Foreign.StablePtr
- module Foreign.Storable
- module Foreign.Marshal

# Documentation

The module `Foreign` combines the interfaces of all modules providing language-independent marshalling support, namely

module Data.Bits

module Data.Int

module Data.Word

module Foreign.Ptr

module Foreign.ForeignPtr

module Foreign.StablePtr

module Foreign.Storable

module Foreign.Marshal